%{expand: %%global kernel %(uname -r)}
%{expand: %%global kernel2 %(uname -r|tr - _)}
%define driverversion 2.2.33
%define fname vpb-driver-2.2.33
%define modules /%{_lib}/modules/%{kernel}/kernel/drivers/telephony/

Summary: VPB - kernel driver for Voicetronix hardware
Name: vpb
Version: %{driverversion}
Release: 0.7mdk
Group: Communications
URL: http://www.voicetronix.com
Source: http;//www.voicetronix.com/Downloads/%{fname}.tar.bz2
#Patch: vpb-driver-2-2-33-beta-4.patch.bz2
Prefix: /usr
License: GPL
Buildroot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires: gcc-c++, kernel-source, libstdc++5-static-devel
BuildRequires: glibc-static-devel

%description
This is the Linux kernel driver for Voicetronix analog DSP telephony cards.  
This package supports both the ISA and PCI versions of the Voicetronix card 
and includes the advanced DSP firmware for echo cancellation and channel 
joins.

%package -n kernel-vpb
Summary: VPB - kernel driver for Voicetronix hardware
Group: Communications
Version: %{kernel2}_%{driverversion}

%description -n kernel-vpb
This is the Linux kernel driver for Voicetronix analog DSP telephony cards.  
This package supports both the ISA and PCI versions of the Voicetronix card 
and includes the advanced DSP firmware for echo cancellation and channel 
joins.

%package -n vpb-devel
Summary:  VPB - api for Voicetronix hardware
Group: Communications

%description -n vpb-devel
This library is the unified link libary and development headers 
for Voicetronix analog DSP telephony cards.  

%package -n vpb-support
Summary:  VPB - support files for Voicetronix hardware
Group: Communications

%description -n vpb-support
This package contains support programs for VoiceTronix analog DSP 
telephony cards.  


%prep
rm -rf %{buildroot}

%setup -n %{fname}
#%patch -p1

%build
find -type f|xargs perl -pi -e "s|/etc/vpb|%{_datadir}/vpb/firmware|g;"
make
(cd unittest ; make)
(cd vpb-detect ; make)

%install
rm -rf doc/CVS
perl -pi -e "s|/local||g;" Makefile
mkdir -p %{buildroot}%{_includedir}
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_datadir}/vpb/firmware
mkdir -p %{buildroot}%{_datadir}/vpb/src
mkdir -p %{buildroot}%{modules}
make root=%{buildroot} modules=%{buildroot}%{modules} install
install -s unittest/echo %{buildroot}%{_bindir}/vpb.echo
install -s unittest/loadrun %{buildroot}%{_bindir}/vpb.loadrun
install -s unittest/lowsam %{buildroot}%{_bindir}/vpb.lowsam
#install -s unittest/mtisa %{buildroot}%{_bindir}/vpb.mtisa
install -s unittest/mtpci %{buildroot}%{_bindir}/vpb.mtpci
install -s unittest/playtone %{buildroot}%{_bindir}/vpb.playtone
install -s unittest/samcid %{buildroot}%{_bindir}/vpb.samcid
#install -s unittest/tbecho %{buildroot}%{_bindir}/vpb.tbecho
#install -s unittest/tbridge %{buildroot}%{_bindir}/vpb.tbridge
install -s unittest/tcomm %{buildroot}%{_bindir}/vpb.tcomm
#install -s unittest/techophone %{buildroot}%{_bindir}/vpb.techophone
install -s unittest/tload %{buildroot}%{_bindir}/vpb.tload
install -s unittest/togbit %{buildroot}%{_bindir}/vpb.togbit
install -s unittest/tring %{buildroot}%{_bindir}/vpb.tring
install -s unittest/tsamecho %{buildroot}%{_bindir}/vpb.tsamecho
install -s unittest/tscr %{buildroot}%{_bindir}/vpb.tscr
install -s unittest/tseizure %{buildroot}%{_bindir}/vpb.tseizure
install -s unittest/tvpb8l %{buildroot}%{_bindir}/vpb.tvpb8l
install -s unittest/techophone2 %{buildroot}%{_bindir}/vpb.techophone2
install -s unittest/dsprun %{buildroot}%{_bindir}/vpb.dsprun
install -s unittest/dspreset %{buildroot}%{_bindir}/vpb.dspreset
#install -s unittest/vpbmon %{buildroot}%{_bindir}/vpbmon
install -s unittest/measerl %{buildroot}%{_bindir}/vpb.measerl
install -s unittest/loopcid %{buildroot}%{_bindir}/vpb.loopcid
install -s unittest/playwav %{buildroot}%{_bindir}/vpb.playwav
install -s unittest/deccid %{buildroot}%{_bindir}/vpb.deccid
install -s unittest/offhook %{buildroot}%{_bindir}/vpb.offhook
install -s unittest/tvpb %{buildroot}%{_bindir}/tvpb
install -s vpb-detect/vpbscan %{buildroot}%{_sbindir}
install -s vpb-detect/vpbconf %{buildroot}%{_sbindir}
(cd unittest ; make clean)
rm -rf unittest/CVS
perl -pi -e "s|../src/libvpb.a|%{_libdir}/libvpb.a|g;" unittest/Makefile
cp -R unittest %{buildroot}%{_datadir}/vpb/unittest-source
cp src/*.h %{buildroot}%{_datadir}/vpb/src

%files -n kernel-vpb
%defattr(-,root,root,0755)
%doc README README.OpenSwitch12 VERSIONS
%dir %{_datadir}/vpb/firmware
%{_datadir}/vpb/firmware/*.out
%{modules}/*
%{_sbindir}/*

%files -n vpb-support
%defattr(-,root,root,0755)
%doc TESTING
%{_bindir}/*

%files -n vpb-devel
%defattr(-,root,root,0755)
%doc README.FreeBSD
%doc COPYING FAQ  doc/*
%defattr(-,root,root,0755)
%{_libdir}/*.a
%{_includedir}/vpbapi.h
%dir %{_datadir}/vpb/unittest-source
%{_datadir}/vpb/unittest-source/*
%dir %{_datadir}/vpb/src
%{_datadir}/vpb/src/*

%clean
rm -rf %{buildroot}

%post -n kernel-vpb
mknod -m 666 /dev/vpbhp0 c 254 0 2>/dev/null
depmod -a

%postun -n kernel-vpb
#Using echo otherwise package manager says postun failed...
echo -n `rmmod vpbhp 2>/dev/null`

%changelog
* Mon Sep 15 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.2.33-0.7mdk
- rebuild

* Wed Sep 03 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.2.33-0.6mdk
- milestone 2 version

* Wed Sep 03 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.2.33-0.5mdk
- new milestone 1 version
- removed patch, included in upstream

* Tue Aug 19 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.2.33-0.4mdk
- new version
- remove source1, included in upstream
- create patch for better hardware detection

* Wed Aug 13 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.2.33-0.3mdk
- new version

* Tue Jul 29 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.2.33-0.2mdk
- new beta, uses shared IRQ at last

* Tue Jul 29 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.2.33-0.1mdk
- new beta

* Fri Jul  4 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.2.32-3mdk
- add vpb-detect and hostdsp patch.

* Wed Jul  2 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.2.32-2mdk
- split into kernel, support and devel packages to make rpmlint happy

* Mon Jun 30 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.2.32-1mdk
- initial Mandrake release
